Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jmx
Class DynamicMBeanComponentProvider

    java.lang.Object
      org.picocontainer.gems.jmx.DynamicMBeanComponentProvider

All Implemented Interfaces:
  DynamicMBeanProvider

    public class DynamicMBeanComponentProvider

extends Object
implements DynamicMBeanProvider

DynamicMBeanProvider, that will provide a component directly if it is already a `DynamicMBean`.

Author:
  Jörg Schaible

Constructor Summary
`DynamicMBeanComponentProvider()` Construct a DynamicMBeanComponentProvider.
`DynamicMBeanComponentProvider(ObjectNameFactory factory)` Construct a DynamicMBeanComponentProvider with a specified ObjectNameFactory.

Method Summary
`JMXRegistrationInfo` | `provide(org.picocontainer.PicoContainer picoContainer, org.picocontainer.ComponentAdapter componentAdapter)` Provide the component itself as `DynamicMBean` if it is one and if an `ObjectName` can be created.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicMBeanComponentProvider

    public DynamicMBeanComponentProvider()

  Construct a DynamicMBeanComponentProvider. This instance will use a `TypedObjectNameFactory` and register all MBeans in the default domain of the `MBeanServer`.

### DynamicMBeanComponentProvider

    public DynamicMBeanComponentProvider(ObjectNameFactory factory)

  Construct a DynamicMBeanComponentProvider with a specified ObjectNameFactory.

  Parameters:
    `factory` - The `ObjectNameFactory`.

Method Detail

### provide

    public JMXRegistrationInfo provide(org.picocontainer.PicoContainer picoContainer,
                                       org.picocontainer.ComponentAdapter componentAdapter)

  Provide the component itself as `DynamicMBean` if it is one and if an `ObjectName` can be created.

  Specified by:
    `provide` in interface `DynamicMBeanProvider`
  Parameters:
    `picoContainer` - The `PicoContainer` to resolve dependencies.
    `componentAdapter` - The `ComponentAdapter` referring the component.
  Returns:
    Returns the registration information.
  See Also:
    `DynamicMBeanProvider.provide(org.picocontainer.PicoContainer, org.picocontainer.ComponentAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.